Search Engine

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Search Engine 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://searchengine.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Add Block Storages

1.1.1 - 1.0

post /v1/instance-groups/{instance_group_id}/block-storage-groups

Description

Add Block Storages.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

AddBlockStoragesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/block-storage-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "role_type": "",
    "size_gb": 104,
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.2 - Add Instances

1.2.1 - 1.0

post /v1/clusters/{cluster_id}/add-instances

Description

Add Instances.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

SearchEngineClusterAddInstancesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/add-instances

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "instance_count": "",
    "public_ip_ids": [
        ""
    ],
    "service_ip_addresses": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.3 - Create Cluster

1.3.1 - 1.0

post /v1/clusters

Description

Create Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SearchEngineClusterCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "",
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "",
            "starting_time_hour": ""
        },
        "database_port": 9200,
        "database_user_name": "",
        "database_user_password": ""
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "",
                    "size_gb": 104,
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "ACTIVE",
                    "service_ip_address": ""
                }
            ],
            "role_type": "ACTIVE",
            "server_type_name": ""
        }
    ],
    "instance_name_prefix": "",
    "is_combined": false,
    "license": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "nat_enabled": false,
    "subnet_id": "",
    "tags": [],
    "timezone": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.4 - Create Restore Cluster

1.4.1 - 1.0

post /v1/clusters/{cluster_id}/restore

Description

Create Restore Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

SearchEngineClusterRestoreRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restore

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "backup_history_number": "",
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "",
                    "size_gb": 104,
                    "volume_type": "SSD"
                }
            ],
            "role_type": "ACTIVE"
        }
    ],
    "instance_name_prefix": "",
    "license": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.5 - List Backup Histories

1.5.1 - 1.0

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

1.6 - List Clusters

1.6.1 - 1.0

get /v1/clusters

Description

List Clusters.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.7 - List Engine Version Properties

1.7.1 - 1.0

get /v1/engine-versions/{dbaas_engine_version_id}/properties

Description

List Engine Version Properties.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdbaas_engine_version_id
required
DBaaS engine version ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEnginePropertyListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions/{dbaas_engine_version_id}/properties

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "value": ""
        }
    ]
}

1.8 - List Engine Versions

1.8.1 - 1.0

get /v1/engine-versions

Description

List Engine Versions.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}

1.9 - List Server Types

1.9.1 - 1.0

get /v1/server-types

Description

List Server Types.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server type name
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cpu_core": "",
            "description": "",
            "memory_gb": "",
            "name": "",
            "product_image_type": "",
            "product_type": "",
            "purpose": "",
            "type": ""
        }
    ]
}

1.10 - Remove Backup Histories

1.10.1 - 1.0

put /v1/clusters/{cluster_id}/backup-histories

Description

Remove Backup Histories.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupHistoryNumberRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "backup_history_number": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.11 - Restart Cluster

1.11.1 - 1.0

post /v1/clusters/{cluster_id}/restart

Description

Restart Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.12 - Set Backup

1.12.1 - 1.0

post /v1/clusters/{cluster_id}/backups

Description

Set Backup.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupSettingExcludingArchiveRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "retention_period_day": "",
    "starting_time_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.13 - Set Block Storage Size

1.13.1 - 1.0

post /v1/block-storage-groups/{block_storage_group_id}/resize

Description

Set Block Storage Size.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathblock_storage_group_id
required
Block storage group ID
Example : afc33891202643ba8ba1a5298a1affff
stringNone
bodybody
required

ResizeBlockStorageGroupRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/block-storage-groups/{block_storage_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "size_gb": 16
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.14 - Set Maintenance

1.14.1 - 1.0

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.15 - Set Security Group Rules

1.15.1 - 1.0

post /v1/clusters/{cluster_id}/security-group-rules

Description

Set Security Group Rules.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

UpdateSecurityGroupRulesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "add_ip_addresses": [],
    "del_ip_addresses": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.16 - Set Server Type

1.16.1 - 1.0

post /v1/instance-groups/{instance_group_id}/resize

Description

Set Server Type.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

InstanceGroupResizeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "server_type_name": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.17 - Show Cluster

1.17.1 - 1.0

get /v1/clusters/{cluster_id}

Description

Show Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSearchEngineClusterDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "PostgreSQL",
    "dbaas_engine_version_name": "",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "",
            "starting_time_hour": ""
        },
        "dashboards_port": "",
        "database_port": 9200,
        "database_user_name": "",
        "kibana_port": ""
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "is_combined": "",
    "license": {
        "license_expiry_date": "",
        "license_status": "",
        "license_type": ""
    },
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": "",
    "product_image_type": "",
    "product_type": "Search Engine",
    "service_state": "RUNNING",
    "software_version": "",
    "subnet_id": "",
    "timezone": ""
}

1.18 - Show Request

1.18.1 - 1.0

get /v1/requests/{request_id}

Description

Show Request.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRequestStateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "request_id": "",
    "state": ""
}

1.19 - Start Cluster

1.19.1 - 1.0

post /v1/clusters/{cluster_id}/start

Description

Start Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.20 - Stop Cluster

1.20.1 - 1.0

post /v1/clusters/{cluster_id}/stop

Description

Stop Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.21 - Synchronize Cluster State

1.21.1 - 1.0

post /v1/clusters/{cluster_id}/sync-state

Description

Synchronize Cluster State.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.22 - Terminate Cluster

1.22.1 - 1.0

delete /v1/clusters/{cluster_id}

Description

Terminate Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.23 - Unset Backup

1.23.1 - 1.0

delete /v1/clusters/{cluster_id}/backups

Description

Unset Backup.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.24 - Unset Maintenance

1.24.1 - 1.0

delete /v1/clusters/{cluster_id}/maintenance

Description

Unset Maintenance.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

2 - Models

2.1 - AddBlockStoragesRequest

NameDescriptionSchemaDefault
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example : 104
Minimum : 16
Maximum : 5120
integer
volume_type
optional
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)SSD

2.2 - AsyncResponse

NameDescriptionSchemaDefault
request_id
required
Request ID
Example : req-4f668846-8a3d-49f1-8111-451ebccf445c
string
resource
required
Resource
ResourceInfo

2.3 - BackupHistoryApiItem

NameDescriptionSchemaDefault
backup_end_at
required
Backup end time
Example :
string
backup_history_number
required
Backup id
Example :
string
backup_size_gb
required
Backup amount(GB)
Example :
object
backup_start_at
required
Backup start time
Example :
string
backup_state
required
Backup state
Example :
string
backup_state_detail
optional
Backup detail state
Example :
any of [string, null]
software_version
required
Software version
Example :
string

2.4 - BackupHistoryListApiResponse

NameDescriptionSchemaDefault
contents
required
backup list information
array[BackupHistoryApiItem]
total_count
required
total number of backup history
Example :
integer

2.5 - BackupHistoryNumberRequest

NameDescriptionSchemaDefault
backup_history_number
required
Backup id
array[string]

2.6 - BackupSettingExcludingArchiveRequest

NameDescriptionSchemaDefault
retention_period_day
required
Backup retention period (day)
Example :
Pattern : ^([7-9]|^[1-2]\d|^3[0-5])$
string
starting_time_hour
required
Backup starting time (hour)
Example :
Pattern : ^(\d|1\d|2[0-3])$
string

2.7 - BlockStorageGroupRequest

NameDescriptionSchemaDefault
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example : 104
Minimum : 16
Maximum : 5120
integer
volume_type
optional
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)SSD

2.8 - BlockStorageGroupResponse

NameDescriptionSchemaDefault
id
required
ID
Example :
string
name
required
Name
Example :
string
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example :
integer
volume_type
required
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)

2.9 - ClusterPageResponse

NameDescriptionSchemaDefault
contents
required
Clusters list
any of [array[ClusterResponse], null]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.10 - ClusterResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
ha_enabled
optional
HA availability
Example : False
boolean
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
instance_count
optional
Instance Count
Example : 0
integer
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
role_type
required
Role type
Example : ORIGIN
any of [enum (ORIGIN, REPLICA, RECOVERY, SECONDARY, MIGRATION), null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)

2.11 - Engine

NameDescriptionSchemaDefault
end_of_service
optional
End of Service
Example : False
boolean
id
required
ID
Example :
string
major_version
required
Software major version
Example :
string
name
required
DBaaS engine version name
Example :
string
os_type
required
OS type
Example :
string
os_version
required
OS version
Example :
string
product_image_type
optional
Product type
Example :
any of [string, null]
software_version
required
Software version
Example :
string

2.12 - EngineListResponse

NameDescriptionSchemaDefault
contents
required
DBaaS engine list
array[Engine]

2.13 - EngineProperty

NameDescriptionSchemaDefault
name
required
DBaas engine property name
Example :
string
value
required
DBaas engine property value
Example :
string

2.14 - EnginePropertyListResponse

NameDescriptionSchemaDefault
contents
required
DBaas engine property list
array[EngineProperty]

2.15 - InstanceGroupRequest

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupRequest]
instances
optional
Instances list
any of [array[InstanceRequest], null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)
server_type_name
required
Server type name
Example :
string

2.16 - InstanceGroupResizeRequest

NameDescriptionSchemaDefault
server_type_name
required
Server type name
Example :
string

2.17 - InstanceGroupResponse

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupResponse]
id
required
ID
Example :
string
instances
required
Instances list
array[InstanceResponse]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)
server_type_name
required
Server type name
Example :
string

2.18 - InstanceRequest

NameDescriptionSchemaDefault
public_ip_id
optional
Public IP ID
Example :
any of [string, null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, STANDBY, PRIMARY, SECONDARY, MASTER, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, READ_REPLICA)
service_ip_address
optional
User subnet IP address
Example :
any of [string, null]

2.19 - InstanceResponse

NameDescriptionSchemaDefault
name
required
Name
Example :
string
public_ip_address
optional
Public IP Address
Example :
any of [string, null]
public_ip_id
optional
Public IP ID
Example :
any of [string, null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, STANDBY, PRIMARY, SECONDARY, MASTER, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, READ_REPLICA)
service_ip_address
optional
User subnet IP address
Example :
any of [string, null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)

2.20 - MaintenanceOption

NameDescriptionSchemaDefault
period_hour
optional
Period in hours
Example :
Pattern : ^(0\.5|[1-5]\.5|[1-9]|1[0-9]|2[0-4])$
string
starting_day_of_week
optional
Starting day of week
Example : MON
enum (MON, TUE, WED, THU, FRI, SAT, SUN)
starting_time
optional
Starting time
Example :
string

2.21 - MaintenanceRequest

NameDescriptionSchemaDefault
start_day_of_week
required
start_day_of_week
Example : MON
enum (MON, TUE, WED, THU, FRI, SAT, SUN)
start_minute
required
start_minute
Example :
string
start_time
required
start_time
Example :
string
term_hour
required
term_hour
Example :
Pattern : ^(0\.5|[1-5]\.5|[1-9]|1[0-9]|2[0-4])$
string

2.22 - MaintenanceResponseOption

NameDescriptionSchemaDefault
period_hour
optional
Period in hours
Example :
any of [string, null]
starting_day_of_week
optional
Starting day of week
Example : MON
any of [enum (MON, TUE, WED, THU, FRI, SAT, SUN), null]
starting_time
optional
Starting time
Example :
any of [string, null]
use_maintenance_option
optional
Maintenance period usage state
Example : False
boolean

2.23 - RequestStateResponse

NameDescriptionSchemaDefault
request_id
required
Request ID
Example :
string
state
required
Request state
Example :
string

2.24 - ResizeBlockStorageGroupRequest

NameDescriptionSchemaDefault
size_gb
required
Size in GB
Example : 16
Minimum : 16
Maximum : 5120
integer

2.25 - ResourceInfo

NameDescriptionSchemaDefault
id
required
request resource id
Example : 109a585ae67b4e8482fdafc8a4a5be74
string

2.26 - SearchEngineClusterAddInstancesRequest

NameDescriptionSchemaDefault
instance_count
required
Instance Count
Example :
integer
public_ip_ids
optional
Public IP ID List
Example :
any of [array[string], null]
service_ip_addresses
required
User subnet IP address
array[string]

2.27 - SearchEngineClusterCreateRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
dbaas_engine_version_id
required
DBaaS engine version ID
Example :
string
init_config_option
required
DB initial configuration option
SearchEngineInitConfigOptionRequest
instance_groups
required
Instance groups list
array[InstanceGroupRequest]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 13
string
is_combined
optional
Master Data server separation state
Example : False
boolean
license
optional
license
Example :
any of [string, null]
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
nat_enabled
optional
NAT availability
Example : False
boolean
subnet_id
required
Subnet ID
Example :
string
tags
optional
tag
any of [array[Tag], null]
timezone
required
Timezone
Example :
string

2.28 - SearchEngineClusterDetailResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
dbaas_engine
required
DBaaS engine
Example : PostgreSQL
enum (PostgreSQL, Redis, Valkey Sentinel, MariaDB, MySQL, Elasticsearch Enterprise, OpenSearch, EPAS, Microsoft SQL Server, Kafka, Vertica)
dbaas_engine_version_name
required
DBaaS engine version name
Example :
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
init_config_option
required
DB initial configuration option
SearchEngineInitConfigOptionResponse
instance_count
optional
Instance Count
Example : 0
integer
instance_groups
required
Instance groups list
array[InstanceGroupResponse]
is_combined
optional
Master Data server separation state
Example :
any of [boolean, null]
license
optional
Maintenance option
any of [SearchEngineLicenseResponse, null]
maintenance_option
optional
Maintenance option
any of [MaintenanceResponseOption, null]
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
nat_enabled
optional
NAT availability
Example :
any of [boolean, null]
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example : Search Engine
enum (QOS, PostgreSQL Community, EPAS, MariaDB, MySQL, Redis, Microsoft SQL Server, Search Engine, Event Streams, Vertica, Scalable DB)
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)
software_version
required
Software version
Example :
string
subnet_id
required
Subnet ID
Example :
string
timezone
required
Timezone
Example :
string

2.29 - SearchEngineClusterRestoreRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
backup_history_number
required
Backup id
Example :
string
instance_groups
required
Instance groups list
array[SearchEngineRestoreInstanceGroup]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 16
string
license
optional
license
Example :
any of [string, null]
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
tags
optional
tag
any of [array[Tag], null]

2.30 - SearchEngineInitConfigOptionRequest

NameDescriptionSchemaDefault
backup_option
optional
Backup setting option
any of [BackupSettingExcludingArchiveRequest, null]
database_port
optional
Database service port
Example : 9200
any of [integer, null]9200
database_user_name
required
Database User Name
Example :
Pattern : ^[a-z]*$
Minimum length : 2
Maximum length : 20
string
database_user_password
required
Database user password
Example :
Minimum length : 8
Maximum length : 30
string

2.31 - SearchEngineInitConfigOptionResponse

NameDescriptionSchemaDefault
backup_option
optional
Backup setting option
any of [BackupSettingExcludingArchiveRequest, null]
dashboards_port
optional
Dashboards port
Example :
any of [integer, null]
database_port
optional
Database service port
Example : 9200
any of [integer, null]9200
database_user_name
required
Database User Name
Example :
string
kibana_port
optional
Kibana port
Example :
any of [integer, null]

2.32 - SearchEngineLicenseResponse

NameDescriptionSchemaDefault
license_expiry_date
required
License expiry date
Example :
string
license_status
required
License state
Example :
string
license_type
required
License type
Example :
string

2.33 - SearchEngineRestoreInstanceGroup

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupRequest]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)

2.34 - ServerType

NameDescriptionSchemaDefault
cpu_core
required
Server type cpu core
Example :
integer
description
required
Server type description
Example :
string
memory_gb
required
Server type memory
Example :
integer
name
required
Server type name
Example :
string
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example :
string
purpose
required
Server type purpose
Example :
string
type
required
Server type class
Example :
string

2.35 - ServerTypeListResponse

NameDescriptionSchemaDefault
contents
required
Server type list
array[ServerType]

2.36 - Tag

NameDescriptionSchemaDefault
key
optional

Example :
string
value
optional

Example :
any of [string, null]

2.37 - UpdateSecurityGroupRulesRequest

NameDescriptionSchemaDefault
add_ip_addresses
optional
Allowed IP addresses list
array[string]
del_ip_addresses
optional
Allowed IP addresses list
array[string]